Bug 882136 (CVE-2012-5604)

Summary: CVE-2012-5604 rubygem-ldap_fluff: CloudForms authentication bypass when handling anonymous LDAP bind
Product: [Other] Security Response Reporter: Kurt Seifried <kseifried>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: bkearney, cpelland, jomara, mmccune, morazi, security-response-team
Target Milestone: ---Keywords: Reopened, Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20121204,reported=20121030,source=redhat,cvss2=5.0/AV:N/AC:L/Au:N/C:N/I:P/A:N,cloudformscommon-1/rubygem-ldap_fluff=affected,sam-1/rubygem-ldap_fluff=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-01-17 15:07:13 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 871635, 896708    
Bug Blocks: 836071    

Description Kurt Seifried 2012-11-30 03:46:59 EST
Og Maciel of Red Hat reports:

After configuring my system to use ActiveDirectory as the authentication 
method, I was able to login via the web ui without having to provide a 
password when using Windows ADS as the LDAP authentication backend.
Comment 1 Murray McAllister 2012-12-03 01:17:41 EST
Acknowledgements:

This issue was discovered by Og Maciel of Red Hat.
Comment 2 Tomas Hoger 2012-12-05 04:12:30 EST
This issue did not affect CloudForms 1.0, which did not include this component.  The issue is fixed in CloudFroms 1.1.  No released version of CloudFroms was affected by this issue.
Comment 4 errata-xmlrpc 2013-02-21 14:20:48 EST
This issue has been addressed in following products:

  Red Hat Subscription Asset Manager 1.2

Via RHSA-2013:0544 https://rhn.redhat.com/errata/RHSA-2013-0544.html